#
# spec file for package gnash (Version 0.7.1.cvs20061019)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel SDL SDL-devel SDL_mixer SDL_mixer-devel aaa_base aalib aalib-devel acl alsa alsa-devel atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost boost-devel bzip2 cairo cairo-devel check coreutils cpio cpp cpp41 cracklib cups-libs curl curl-devel cvs cyrus-sasl db diffutils e2fsprogs expat faac faac-devel faad2 faad2-devel ffmpeg ffmpeg-devel file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gstreamer010 gstreamer010-devel gtk2 gtk2-devel gtkglext gtkglext-devel gzip info insserv klogd lame less libacl libattr libcom_err libdc1394 libdc1394-devel libdca libdca-devel libdrm libgcc41 libgsm libgsm-devel libicu libidn libidn-devel libjpeg libjpeg-devel libltdl libmikmod libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libraw1394 libraw1394-devel libstdc++-devel libstdc++41 libstdc++41-devel libtheora libtheora-devel libtiff libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim x264 x264-devel xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel xvid xvid-devel zlib zlib-devel

Name:           gnash
BuildRequires:  SDL_mixer-devel boost-devel curl-devel ffmpeg-devel gcc-c++ gstreamer010-devel gtk2-devel gtkglext-devel libjpeg-devel libogg-devel libstdc++-devel
%define DISTRIBUTABLE 1
Summary:        Free Flash movie player
Version:        0.7.1.cvs20061019
Release:        25.1
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Web/Browsers
Source:         %{name}-%{version}.tar.bz2
Patch:          gnash-pango-check-fix.diff
Patch1:         gnash-sprite-overflow-CVE-2007-2500.diff
URL:            http://www.gnu.org/software/gnash/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gnash is a Free Flash movie player, which works either standalone, or
as a Firefox/Mozilla plugin.

Gnash supports the current Shockwave format, version 7. While all the
ActionScript classes exist, not all of the methods defined by the SWF
format documentation are implemented however, so not all flash movies
work 100% if they utilize any of the unimplemented methods. This is one
of the areas to work on to achieve full version 7 compliance.



Authors:
--------
    Rob Savoye <rob@senecass.com>

%debug_package
%prep
%setup -n gnash
%patch
%patch1

%build
autoreconf -fi
%configure \
  --disable-static \
  --enable-sound=sdl \
%if %DISTRIBUTABLE
  --with-mp3-decoder=no \
%endif
  --enable-plugin \
  --with-plugindir=%{_libdir}/browser-plugins
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.so
rm -f $RPM_BUILD_ROOT%{_libdir}/browser-plugins/*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc %{_mandir}/man?/*
%{_libdir}/lib*.so*
%{_libdir}/browser-plugins/*
%{_bindir}/*
%{_datadir}/gnash

%changelog
* Wed May 16 2007 - tiwai@suse.de
- fix buffer overflow with a large number of SHOWFRAME elements
  in DEFINESPRITE element (#274244, CVE-2007-2500)
* Thu Oct 19 2006 - tiwai@suse.de
- updated to CVS 2006.10.19 snapshot
  * sound backend fixes
  * AGG renderer support
  * rewritten m4 macros
  * more fixes, see ChangeLog
- fix configure options for distributable packages
* Thu Oct 05 2006 - tiwai@suse.de
- updated to CVS 2006.10.05 snapshot
  * use boost lib
  * plugin invokes gnash with pipe without temp swf files now
  * many other fixes and improvements
- fixed buildrequires
- removed gnash-plugin-tmp-file-fix.diff
* Wed Sep 20 2006 - tiwai@suse.de
- updated to CVS 2006.09.20 snapshot
  * pretty many bugfixes, see ChangeLog for details.
- updated gnash-plugin-tmp-file-fix.diff
  now reading ~/.gnashrc and use ~/.gnashtmp as default
* Wed Aug 23 2006 - tiwai@suse.de
- initial version: 0.7.1 CVS 2006.08.22 snapshot
